API referenceCampaigns
List campaign recipients
GET
/campaigns/{id}/recipientsThe audience snapshot with each recipient's status, skip reason and email id.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64status?string
Value in
- "pending"
- "queued"
- "sent"
- "delivered"
- "bounced"
- "complained"
- "failed"
- "skipped"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/campaigns/string/recipients"{ "object": "list", "has_more": true, "data": [ { "object": "campaign_recipient", "campaign_id": "string", "contact_id": "string", "email": "string", "status": "pending", "skip_reason": "unsubscribed", "email_id": "string", "sent_at": "2019-08-24T14:15:22Z" } ]}